#define WIN32_LEAN_AND_MEAN
#include <windows.h>

int APIENTRY WinMain(HINSTANCE hInstance,
                     HINSTANCE hPrevInstance,
                     LPSTR     lpCmdLine,
                     int       nCmdShow)
{
	HWND hWarcraft;
	LONG_PTR lWindowStyle;

	hWarcraft = FindWindow("Warcraft III", 0);

	if (!hWarcraft) {
		MessageBox(0, "Warcraft III is not running.", "War3FullWindow", MB_ICONERROR);
		return 0;
	}

	lWindowStyle = GetWindowLongPtr(hWarcraft, GWL_STYLE);

	if (lWindowStyle & WS_OVERLAPPEDWINDOW) {
		lWindowStyle &= ~(WS_OVERLAPPEDWINDOW);
		SetWindowLongPtr(hWarcraft, GWL_STYLE, lWindowStyle);
		ShowWindow(hWarcraft, SW_MAXIMIZE);
	}
	else {
		lWindowStyle |= (WS_OVERLAPPEDWINDOW);
		SetWindowLongPtr(hWarcraft, GWL_STYLE, lWindowStyle);
		ShowWindow(hWarcraft, SW_RESTORE);
	}

	return 0;
}

void WinMainCRTStartup()
{
	ExitProcess(WinMain(0, 0, 0, 0));
}
